# CYapfDestinationAnySafeTileRailT< Types > Class Template Reference

Inheritance diagram for CYapfDestinationAnySafeTileRailT< Types >:

## Public Types

typedef Types::Tpf | Tpf
| the pathfinder class (derived from THIS class)
typedef Types::NodeList::Titem | Node
| this will be our node type
typedef Node::Key | Key
| key to hash tables
typedef Types::TrackFollower | TrackFollower
| TrackFollower. Need to typedef for gcc 2.95.

## Public Member Functions

Tpf & | Yapf ()
| to access inherited path finder
FORCEINLINE bool | PfDetectDestination (Node &n)
| Called by YAPF to detect if node ends in the desired destination.
FORCEINLINE bool | PfDetectDestination (TileIndex tile, Trackdir td)
| Called by YAPF to detect if node ends in the desired destination.
FORCEINLINE bool | PfCalcEstimate (Node &n)
| Called by YAPF to calculate cost estimate.

## Detailed Description

### template<class Types>
class CYapfDestinationAnySafeTileRailT< Types >

Definition at line 76 of file yapf_destrail.hpp.

## Member Function Documentation

template<class Types >

FORCEINLINE bool CYapfDestinationAnySafeTileRailT< Types >::PfCalcEstimate | ( | Node & | n | ) | `[inline]`

Called by YAPF to calculate cost estimate.

Calculates distance to the destination adds it to the actual cost from origin and stores the sum to the Node::m_estimate.

Definition at line 107 of file yapf_destrail.hpp.

The documentation for this class was generated from the following file:

- src/pathfinder/yapf/yapf_destrail.hpp